<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->foreignId('service_id')->constrained()->nullable();
            $table->foreignId('user_id')->constrained();
            $table->bigInteger('quantity');
            $table->integer('attempts')->default(0);
            $table->string('note')->default('');
            $table->string('fulfilled_by')->nullable();
            $table->string('fulfiller_status')->nullable();
            $table->integer('fulfiller_id')->nullable();
            $table->string('message')->nullable();
            $table->bigInteger('remaining')->default(0);
			$table->enum('status', ['processing', 'pending', 'canceled',
				'refunded', 'partial', 'completed', 'error']);
            $table->string('url');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
